<?
session_start();
// Lee la plantilla
if($tipodoc=='MEM'){
$plantilla = file_get_contents('../plantillas/memo.rtf');
}
if($tipodoc=='CAR'){
$plantilla = file_get_contents('../plantillas/carta.rtf');
} 
if($tipodoc=='PAG'){
$plantilla = file_get_contents('../plantillas/pago.rtf');
}
if($tipodoc=='CTO'){
$plantilla = file_get_contents('../plantillas/contrato.rtf');
}
if(($tipodoc=='PRO') or ($tipodoc=='FOR')){
$plantilla = file_get_contents('../plantillas/profor.rtf');
}


// Agregamos los escapes necesarios
$plantilla = addslashes($plantilla);
$plantilla = str_replace('\r','\\r',$plantilla);
$plantilla = str_replace('\t','\\t',$plantilla);

// Datos de la plantilla
$codigodoc=$codigodoc.$codigodoc1.$codigodoc2;
$de=$de;
$para=$para;
$referencia=$referencia;
$fechahoy=$fechahoy;
$asunto=$asunto;
$personal=$personal;
$titulo=$titulo;
$fechactual=$fechactual;
// de esta manera el codigo no envejece :P

// Procesa la plantilla
eval( '$rtf = <<<EOF_RTF
' . $plantilla . '
EOF_RTF;
' );

// Guarda el DOC generado
$archivito="PER-".$tipodoc."-".$numero."-".$codigodoc1."-".date(my).".doc";
file_put_contents("../archivos/$archivito",$rtf);

$path="../archivos"; 
$enlace = $path."/".$archivito; 
//$enlace = $archivito; 
header ("Content-Disposition: attachment; filename=".$archivito); 
header ("Content-Type: application/octet-stream"); 
header ("Content-Length: ".filesize($enlace)); 
readfile($enlace); 
?>